<div class="card my-5">
  <div class="card-body">
    
    <table class="table table-bordered table-striped">
      <thead class="thead-dark">
        <tr>
          <th scope="col">ID</th>
          <th scope="col">Status</th>
          <th scope="col">Updated By</th>
          <th scope="col">Created By</th>
          <th scope="col">Updated Date</th>
          <th scope="col">CreatedDate</th>
          <th scope="col">First Name</th>
          <th scope="col">Last Name</th>
          <th scope="col">Middle Name</th>
          <th scope="col">SSS Number</th>
          <th scope="col">Action </th>
        </tr>
        </thead>
        <tbody>
          <tr *ngFor="let employee of employees">
            <td><a routerLink="/view-employee/{{employee.id}}">{{employee.id}}</a></td>
            <td>{{employee.status}}</td>
            <td>{{employee.updatedBy}}</td>
            <td>{{employee.createdBy}}</td>
            <td>{{employee.updatedDate}}</td>
            <td>{{employee.createdDate}}</td>
            <td>{{employee.firstName}}</td>
            <td>{{employee.lastName}}</td>
            <td>{{employee.middleName}}</td>
            <td >{{employee.sssnumber}}</td>
            <td><button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#editModal" (click)="edit(employee)">Edit</button>
              <button type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#exampleModal" (click)="del(employee)">Delete</button> 

</td>   


                   <!-- CONFIRMATION DIALOG BOX -->
  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
 
    <div class="modal-dialog" role="document">
      
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Delete Employee Record</h5>
          <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div> 
        <div class="modal-body">
          Are you sure you want to delete this employee with SSS number: {{employeeToDelete.sssnumber}} ? 
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="button" class="btn btn-danger" (click)="[deleteEmployee(employeeToDelete) ,deleteNotification()]">Yes</button>
       </div>
      </div>
    </div>
  </div>


  <!-- EDIT Button to update -->

  <!-- Modal -->
  <div class="modal fade" id="editModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Employee Information</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <form #updateForm="ngForm" (ngSubmit)="updateEmployee()">
          <input type="text" id="fname" #firstName [(ngModel)]="employeeToUpdate.firstName" name="fname" placeholder="First Name"><br><br>
  
          <input type="text" id="lname"  #lastName [(ngModel)]="employeeToUpdate.lastName" name="lname" placeholder="Last Name"><br><br>

          <input type="text" id="mname" #middleName [(ngModel)]="employeeToUpdate.middleName" name="mname" placeholder="Middle Name"><br><br>
  

          <input type="text" id="sssNumber" #sssnumber  [(ngModel)]="employeeToUpdate.sssnumber" name="sssNumber" placeholder="SSS Number"><br><br>


  
          <label for="createdBy">Created By:</label>
          <input type="text" #createdBy [(ngModel)]="employeeToUpdate.createdBy" id="createdBy" name="createdBy"><br><br>
  
           <label for="updatedBy">Updated By:</label>
          <input type="text" #updatedBy [(ngModel)]="employeeToUpdate.updatedBy" id="updatedBy" name="updatedBy"><br><br>
  
          <select name="status" id="status" [(ngModel)]="employeeToUpdate.status">
            <option class="hidden"  selected disabled>Select status</option>
            <option value="Active">Active</option>
            <option value="Inactive">Inactive</option>
          </select>
        </form>
        </div>
     
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" (click)="[updateEmployee(),successNotification()]">Save changes</button>
        </div>
      </div>
    </div>
  </div>
  
  
          </tr>
        </tbody>
      </table>
    </div>
  </div>

 



